Debian Bug report logs - #547751
ifupdown: bashism in /bin/sh script

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Tue, 22 Sep 2009 03:30:11 UTC

Severity: normal

Tags: patch

Merged with 518924

Found in versions ifupdown/0.6.8+nmu1, ifupdown/0.6.10, ifupdown/0.6.9

Fixed in version ifupdown/0.7~alpha4

Done: bugzilla@tut.by (Andrew O. Shadoura)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Anthony Towns <ajt@debian.org>:
Bug#547751; Package ifupdown. (Tue, 22 Sep 2009 03:30:14 GMT) Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: ifupdown: bashism in /bin/sh script
Date: Mon, 21 Sep 2009 22:19:22 -0500
Package: ifupdown
Severity: minor
Version: 0.6.9
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package)
check I've found your package containing a /bin/sh script making use
of a bashism.

checkbashisms' output:
> possible bashism in ./usr/share/doc/ifupdown/examples/get-mac-address.sh
> line 13 (should be 'b = a'):
>	  if [ "$mac" == "$(echo "$testmac" | sed -e 'y/ABCDEF/abcdef/')" ];
> then which="$scheme"; fi


Not using bash (or a Debian Policy conformant shell interpreter which doesn't
provide such an extra feature) as /bin/sh is likely to lead to errors or
unexpected behaviours. Please be aware that dash is now the default /bin/sh.

Hints about how to fix bashisms can be found at:
https://wiki.ubuntu.com/DashAsBinSh

If you still don't know how to fix the bashisms don't hesitate to reply to
this email, or tag the bug as 'help'.

Thank you,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#547751; Package ifupdown. (Sun, 14 Mar 2010 07:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Suriya Soutmun <darksolar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. (Sun, 14 Mar 2010 07:45:06 GMT) Full text and rfc822 format available.

Message #8 received at 547751@bugs.debian.org (full text, mbox):

From: Suriya Soutmun <darksolar@gmail.com>
To: Debian Bug Tracking System <547751@bugs.debian.org>
Subject: Re: bashism in /bin/sh script
Date: Sun, 14 Mar 2010 14:29:02 +0700
[Message part 1 (text/plain, inline)]
Package: ifupdown
Version: 0.6.10
Severity: normal

bashism in /examples/get-mac-address.sh has fixed
patch is attached.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ifupdown depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip
ii  net-tools                     1.60-23    The NET-3 networking toolkit

ifupdown recommends no packages.

Versions of packages ifupdown suggests:
ii  dhcp3-client               3.1.3-2       DHCP client
ii  iproute                    20100224-3    networking and traffic control too
ii  ppp                        2.4.4rel-10.1 Point-to-Point Protocol (PPP) - da

-- no debconf information
[bashism-fix.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from dArkSolAr <darksolar@gmail.com> to control@bugs.debian.org. (Sun, 14 Mar 2010 09:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#547751; Package ifupdown. (Wed, 25 Apr 2012 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Wed, 25 Apr 2012 19:45:06 GMT) Full text and rfc822 format available.

Message #15 received at 547751@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Raphael Geissert <atomo64@gmail.com>
Cc: 547751@bugs.debian.org
Subject: Re: ifupdown: bashism in /bin/sh script
Date: Wed, 25 Apr 2012 14:42:29 -0500
forcemerge 518924 547751
quit

Raphael Geissert wrote:
> checkbashisms' output:

>> possible bashism in ./usr/share/doc/ifupdown/examples/get-mac-address.sh
>> line 13 (should be 'b = a'):
>>	  if [ "$mac" == "$(echo "$testmac" | sed -e 'y/ABCDEF/abcdef/')" ];

Fixed in 0.7~alpha4.

Thanks,
Jonathan




Severity set to 'normal' from 'minor' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 19:45:13 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 19:45:14 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. (Wed, 25 Apr 2012 19:45:14 GMT) Full text and rfc822 format available.

Marked as fixed in versions ifupdown/0.7~alpha4. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 19:45:14 GMT) Full text and rfc822 format available.

Marked as found in versions ifupdown/0.6.8+nmu1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 19:45:15 GMT) Full text and rfc822 format available.

Merged 518924 547751 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 19:45:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 May 2012 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:53:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.